unit Temperature;

interface

uses
	TheseUtils;

function CFromF(F: TReal): TReal;
function CFromK(K: TReal): TReal;
function CFromR(R: TReal): TReal;
function FFromC(C: TReal): TReal;
function FFromK(K: TReal): TReal;
function FFromR(R: TReal): TReal;
function KFromC(C: TReal): TReal;
function KFromF(F: TReal): TReal;
function KFromR(R: TReal): TReal;
function RFromC(C: TReal): TReal;
function RFromF(F: TReal): TReal;
function RFromK(K: TReal): TReal;



implementation

function CFromF(F: TReal): TReal;
begin
	Result := 5/9 * (F - 32);
end;

function CFromK(K: TReal): TReal;
begin
	Result := K - 273.15;
end;

function CFromR(R: TReal): TReal;
begin
	Result := 5/9 * (R - 491.67);
end;

function FFromC(C: TReal): TReal;
begin
	Result := 9/5 * C + 32;
end;

function FFromK(K: TReal): TReal;
begin
	Result := 9/5 * K - 459.67;
end;

function FFromR(R: TReal): TReal;
begin
	Result := R - 459.67;
end;

function KFromC(C: TReal): TReal;
begin
	Result := C + 273.15;
end;

function KFromF(F: TReal): TReal;
begin
	Result := 5/9 * (F + 459.67);
end;

function KFromR(R: TReal): TReal;
begin
	Result := 5/9 * R;
end;

function RFromC(C: TReal): TReal;
begin
	Result := 9/5 * (C + 273.15);
end;

function RFromF(F: TReal): TReal;
begin
	Result := F + 459.67;
end;

function RFromK(K: TReal): TReal;
begin
	Result := 9/5 * K;
end;

end.
